%global pypi_name markdown-it-py
%bcond_without     testsuite

Summary:        Python port of markdown-it
Name:           python-%{pypi_name}
Version:        3.0.0
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/executablebooks/markdown-it-py
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch

%description
Markdown parser done right. Its features: Follows the CommonMark spec for baseline parsing.  Has
configurable syntax: you can add new rules and even replace existing ones.  Pluggable: Adds syntax
extensions to extend the parser.  High speed & safe by default

%package -n     python3-%{pypi_name}
Summary:        Python port of markdown-it

%description -n python3-%{pypi_name}
Markdown parser done right. Its features: Follows the CommonMark spec for baseline parsing.  Has
configurable syntax: you can add new rules and even replace existing ones.  Pluggable: Adds syntax
extensions to extend the parser.  High speed & safe by default

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

sed -i '1{\@^#!/usr/bin/env python@d}' markdown_it/cli/parse.py
sed -i '/"coverage",/d' pyproject.toml
sed -i '/"pytest-cov",/d' pyproject.toml

%generate_buildrequires
%if %{with testsuite}
%pyproject_buildrequires -x testing
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files markdown_it

%check
%if %{with testsuite}
%pytest tests/ -k "not test_linkify"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE LICENSE.markdown-it
%doc README.md
%{_bindir}/markdown-it

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for loongarch release

* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 3.0.0-2
- enable %check

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.0-1
- Bump version to 3.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 2.1.0-1
- initial build
